$sidebar-width: 318px;
.body-wrapper {
    height: 100%;
    //overflow: auto;
    padding-left: 0px !important;
    padding-right: 0px !important;
    margin-top: 0;
    margin-bottom: 0;
    .sidebar {
        position: absolute;
        left: -$sidebar-width;
        top: 58px;
        bottom: 0;
        height: calc(100% - 58px);
        width: $sidebar-width;
        /*background-image: -webkit-linear-gradient(135deg, #ffffff 10%,#01b0f0 45%,#48a770 80%);
        background-image: -moz-linear-gradient(135deg, #ffffff 10%,#01b0f0 45%,#48a770 80%);
        background-image: -o-linear-gradient(135deg, #ffffff 10%,#01b0f0 45%,#48a770 80%);
        background-image: linear-gradient(135deg, #ffffff 10%,#01b0f0 45%,#48a770 80%);*/
        transition: all 0.5s;
        z-index: 20;
        color: white;
        &.active {
            left: 0px;
            .sidebar-trigger {
                transition: all 0.1s ease 0.5s;
                background-color: $brand-warning;
            }
        }
        .inner-sidebar {
            padding: 15px;
            height: 100%;
            display: block;
            position: relative;
            overflow: hidden;
        }
        .sidebar-trigger {
            cursor: pointer;
            content: " ";
            position: absolute;
            display: block;
            left: 0;
            top: 0;
            bottom: 0;
            height: 100%;
            width: 20px;
            transition: all 0.1s ease 0.5s;
            background-color: $brand-success;
            transform: translate3d($sidebar-width, 0px, 0px);
            i {
                display: block;
                color: #fff;
                text-align: center;
                padding: 10px 0;
            }
        }
    }
    .wrapper {
        padding-top: 58px;
        height: 100%;
        perspective: 1000px;
        //margin-bottom: 50px;
        overflow: auto;
        //position: relative;
        transition: transform 0.5s ease 0s;
        z-index: 10;
        &.active {
            transform: translate3d($sidebar-width, 0px, 0px);
            &::after {
                height: 100%;
                opacity: 1;
                transition: opacity 0.5s ease 0s;
                width: 100%;
            }
        }
        &::after {
            cursor: pointer;
            content: "";
            background: rgba(0,0,0,0.6);
            height: 0;
            opacity: 0;
            position: absolute;
            right: 0;
            top: 0;
            transition: opacity 0.5s ease 0s, width 0.1s ease 0.5s, height 0.1s ease 0.5s;
            width: 0;
            z-index: 10;
        }
        .inner-wrapper {
            height: 100%;
            overflow-y: scroll;
            padding: 0 40px;
        }
    }
}
body {
    //overflow: hidden;
    height: 100%;
}

@media (max-width: 767px) {
    body {
        overflow-x: hidden;
        overflow-y: visible;
    }

    .mobile-sidebar-trigger {
        cursor: pointer;
        border-width: 1px;
        border-color: rgba(255,255,255,0.1);
        z-index: 1030;
        padding: .25rem .75rem;
        line-height: 1.25;
        color: #fff;
        margin: 0 auto;
        width: 100%;
        max-width: 75%;
    }

    .body-wrapper {
        .sidebar {
            width: 100%;
            left: -100%;
            position: fixed;
            .sidebar-trigger {
                    display: none;
            }
            .inner-sidebar {
            }
        }
        .wrapper.active {
            transform:translate3d(0px, 0px, 0px)
        }
        .wrapper.active:after {
            height:0;
            opacity:0;
            transition:opacity 0.5s ease 0s;
            width:0
        }
        .wrapper .inner-wrapper {
            padding: 0 5px;
            overflow:inherit
        }
    }
}
